# $Revision: 1.32 $, $Date: 2010/06/24 19:27:57 $
#
# Conditional build:
%bcond_with	serial_console	# enable serial console support
#
Summary:	Thorough, stand alone memory test for i386 systems
Summary(pl.UTF-8):	Kompleksowy, niezależny od OS tester pamięci dla systemów i386
Summary(pt_BR.UTF-8):	Testador de memória completo e independente para sistemas i386
Summary(ru.UTF-8):	Тест памяти для x86-архитектуры
Summary(uk.UTF-8):	Тест пам'яті для x86-архітектури
Name:		memtest86+
Version:	4.10
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://www.memtest.org/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2144f21d4489a04149b1891b8d97e8fc
Source1:	%{name}.image
Patch0:		memtest86-enable_serial_console.patch
URL:		http://www.memtest.org/
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Based on the well-known original memtest86 written by Chris Brady,
memtest86+ is a port by some members of the x86-secret team. Our goal
is to provide an up-to-date and completly reliable version of this
software tool aimed at memory failures detection. Memtest86 is
thorough, stand alone memory test for i386 architecture systems. BIOS
based memory tests are only a quick check and often miss failures that
are detected by Memtest86.

%description -l pl.UTF-8
Memtest86 jest ciągłym, samodzielnym testerem pamięci dla systemów
architektury i386. Testy pamięci przez BIOS są tylko szybkim
sprawdzeniem i zazwyczaj nie wykrywają błędów znajdywanych przez
memtest86.

%description -l pt_BR.UTF-8
Memtest86 é um testador de memória independente (no sentido de que não
roda sob um sistema operacional) e completo para sistemas i386.

%description -l ru.UTF-8
Memtest86 -- тщательный и самостоятельный тест памяти для x86-систем.
Он может быть загружен или с жесткого диска при помощи LILO/GRUB, или
с дискеты.

Тест использует алгоритм "движущихся инверсий", доказавший свою
эффективность при обнаружении сбоев памяти. Не обращайте внимания на
"тест" BIOS -- он практически ничего не значит, так как пропустит
много ошибок из тех, которые обнаружит memtest86.

Также может использоваться для создания загрузочной тест-дискеты.

%description -l uk.UTF-8
Memtest86 -- ретельний та самостійний тест пам'яті для x86-систем. Він
може бути завантажений як з жорсткого диску за допомогою LILO/GRUB,
так і з дискети.

Тест використовує алгоритм "рухаючихся інверсій", який довів свою
ефективність при визначенні негараздів із пам'яттю. Не звертайте уваги
на "тест" BIOS -- він практично нічого не означає, тому що пройде повз
багатьох збоїв з тих, що знаходить memtest86.

Також може використовуватися для створення завантажувальної
тест-дискети.

%package -n rc-boot-image-memtest86+
Summary:	memtest86+ image for rc-boot
Summary(pl.UTF-8):	Obraz memtest86+ dla rc-boot
Group:		Base
Requires:	%{name} = %{version}-%{release}
Requires:	rc-boot

%description -n rc-boot-image-memtest86+
memtest86+ image for rc-boot.

%description -n rc-boot-image-memtest86+ -l pl.UTF-8
Obraz memtest86+ dla rc-boot.

%prep
%setup -q
%{?with_serial_console:%patch0 -p1}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -m32 -fomit-frame-pointer -fno-builtin -ffreestanding -fPIC" \
	SHELL=/bin/sh

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-boot/images
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-boot/images/%{name}

install -d $RPM_BUILD_ROOT/boot
install memtest.bin $RPM_BUILD_ROOT/boot/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%postun -n rc-boot-image-memtest86+
/sbin/rc-boot 1>&2 || :

%post -n rc-boot-image-memtest86+
/sbin/rc-boot 1>&2 || :

%files
%defattr(644,root,root,755)
%doc README
/boot/%{name}

%files -n rc-boot-image-memtest86+
%defattr(644,root,root,755)
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-boot/images/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: memtest86+.spec,v $
Revision 1.32  2010/06/24 19:27:57  areq
- 4.10

Revision 1.31  2009/09/26 19:09:20  areq
- 4.00

Revision 1.30  2009/08/18 14:54:21  adamg
- cosmetics (unconditionally applied patches first)

Revision 1.29  2009/08/18 14:51:04  adamg
- fix problem described in lp#246412 (patch from fedora)
- release 2

Revision 1.28  2009/08/18 10:07:34  adamg
- updated to 2.11

Revision 1.27  2009/02/25 09:40:05  jajcus
- serial_console bcond added
- Release: 2

Revision 1.26  2008/12/10 18:56:58  gotar
- s#/boot/memtest86.vmlinuz#/boot/memtest86# (no reason given for 3 weeks)

Revision 1.25  2008/11/16 13:00:27  areq
- 2.10

Revision 1.24  2008/07/17 12:15:23  megabajt
- release 2

Revision 1.23  2008/06/18 05:34:39  qboosh
- removed obsolete i686-ld patch
- updated CFLAGS passing

Revision 1.22  2008/05/09 16:00:11  arvenil
- up to 2.01
- TODO: upgrade/remove %{name}-i686-ld.patch patch

Revision 1.21  2008-01-04 19:43:02  arvenil
- no need to check if rc-boot binary exist becouse we require rc-boot

Revision 1.20  2008-01-03 19:20:42  qboosh
- updated i686-ld patch is back (just optflags now)
- added -ffreestanding to CCFLAGS

Revision 1.19  2008-01-03 18:36:33  qboosh
- no epoch here
- GPL v2

Revision 1.18  2008-01-03 18:18:44  arvenil
- added image config for rc-boot
- s#/boot/memtest86+#/boot/memtest86+.vmlinuz#
- release 2

Revision 1.17  2007-02-13 06:46:53  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.15  2007/01/17 14:43:01  paszczus
- updated to 1.70

Revision 1.14  2006/05/25 22:12:26  glen
- more ru_RU -> ru, uk_UA -> uk changes

Revision 1.13  2006/05/25 21:54:13  wiget
- ru_RU -> ru, uk_UA -> uk in lang codes

Revision 1.12  2005/10/03 20:00:28  areq
- 1.65

Revision 1.11  2005/06/28 19:43:56  areq
- 1.60

Revision 1.10  2005/06/05 22:26:50  areq
- 1.55

Revision 1.9  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.8  2005/01/22 13:30:20  paszczus
- updated to 1.50
- STBR

Revision 1.7  2004/12/04 17:46:02  areq
- 1.40

Revision 1.6  2004/11/08 21:09:23  paszczus
- updated to 1.30

Revision 1.5  2004/10/14 16:53:53  areq
- 1.27

Revision 1.4  2004/07/10 20:31:03  areq
- 1.20 (what about i686-ld.patch?)

Revision 1.3  2004/06/08 07:26:57  paszczus
- reverted changes

Revision 1.1  2004/02/20 11:55:33  areq
- init PLD spec (based on memtest86.spec)
